# Generated from puppet-syntax-4.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-syntax

Name: rubygem-%{gem_name}
Version: 4.1.1
Release: 1%{?dist}
Summary: Syntax checks for Puppet manifests, templates, and Hiera YAML
License: MIT
URL: https://github.com/voxpupuli/puppet-syntax
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(pry) >= 0.14.2
# BuildRequires: rubygem(pry) < 0.15
# BuildRequires: rubygem(rb-readline) >= 0.5.5
# BuildRequires: rubygem(rb-readline) < 0.6
# BuildRequires: rubygem(voxpupuli-rubocop) >= 2.6.0
# BuildRequires: rubygem(voxpupuli-rubocop) < 2.7
BuildArch: noarch

%description
Syntax checks for Puppet manifests and templates.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/puppet-syntax.gemspec
%{gem_instdir}/spec

%changelog
* Thu Apr 04 2024 mockbuilder - 4.1.1-1
- Initial package
